Skip to main content
`Ctrl`+`K`

# PetscSFWindowGetSyncType

Get synchronization type for `PetscSF` communication of type `PETSCSFWINDOW`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetSyncType(PetscSF sf, PetscSFWindowSyncType *sync)

Logically Collective

## Input Parameter

- sf - star forest for communication

## Output Parameter

- sync - synchronization type

## See Also

`PetscSF`, `PETSCSFWINDOW`, `PetscSFSetFromOptions()`, `PetscSFWindowSetSyncType()`, `PetscSFWindowSyncType`

## Level

advanced

## Location

src/vec/is/sf/impls/window/sfwindow.c

## Implementations

PetscSFWindowGetSyncType_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages